From: Stefano Rivera <stefanor@debian.org>
Date: Sun, 11 Oct 2015 22:20:17 +0200
Subject: remove-dns-tests.diff

Tests that require network (DNS) access
Patch-Name: 0001-remove-dns-tests.diff
Forwarded: not-needed
---
 src/formencode/validators.py | 30 ------------------------------
 1 file changed, 30 deletions(-)

diff --git a/src/formencode/validators.py b/src/formencode/validators.py
index e17777f..54fadeb 100644
--- a/src/formencode/validators.py
+++ b/src/formencode/validators.py
@@ -1250,20 +1250,6 @@ class Email(FancyValidator):
         'nobody@xn--m7r7ml7t24h.com'
         >>> e.to_python('o*reilly@test.com')
         'o*reilly@test.com'
-        >>> e = Email(resolve_domain=True)
-        >>> e.resolve_domain
-        True
-        >>> e.to_python('doesnotexist@colorstudy.com')
-        'doesnotexist@colorstudy.com'
-        >>> e.to_python('test@nyu.edu')
-        'test@nyu.edu'
-        >>> # NOTE: If you do not have dnspython installed this example won't work:
-        >>> e.to_python('test@thisdomaindoesnotexistithinkforsure.com')
-        Traceback (most recent call last):
-            ...
-        Invalid: The domain of the email address does not exist (the portion after the @: thisdomaindoesnotexistithinkforsure.com)
-        >>> e.to_python('test@google.com')
-        'test@google.com'
         >>> e = Email(not_empty=False)
         >>> e.to_python('')
 
@@ -1390,22 +1376,6 @@ class URL(FancyValidator):
         Traceback (most recent call last):
             ...
         Invalid: That is not a valid URL
-        >>> u = URL(add_http=False, check_exists=True)
-        >>> u.to_python('http://google.com')
-        'http://google.com'
-        >>> u.to_python('google.com')
-        Traceback (most recent call last):
-            ...
-        Invalid: You must start your URL with http://, https://, etc
-        >>> u.to_python('https://httpbin.org/status/404')
-        Traceback (most recent call last):
-            ...
-        Invalid: The server responded that the page could not be found
-        >>> u.to_python('http://this.domain.does.not.exist.example.org/test.html')
-        ... # doctest: +ELLIPSIS
-        Traceback (most recent call last):
-            ...
-        Invalid: An error occured when trying to connect to the server: ...
 
     If you want to allow addresses without a TLD (e.g., ``localhost``) you can do::
 
